// QDownloadWidget.h: QDownloadWidget NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QDOWNLOADWIDGET_H__EF4011A2_422F_426E_8257_FB60483C3ECC__INCLUDED_)
#define AFX_QDOWNLOADWIDGET_H__EF4011A2_422F_426E_8257_FB60483C3ECC__INCLUDED_

#include <qwidget.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class QPushButton;
class QListView;
class shareObj;
class downloadThread;
class QOverDlg;
class QDownloadWidget : public QWidget 
{
    Q_OBJECT
public:
	QListView* ref_list();
	int timeUpdate(int* pnError);
	void setObj(shareObj *pObj);
	QDownloadWidget( QWidget *parent=0, const char *name=0 );
	virtual ~QDownloadWidget();

	void save();
	int isThread(){return (int)m_pThread;}
protected:
protected slots:
	void onDelete();
	void onDeleteAll();
	void onDownload();

private:

	QListView*		m_plvUrl;
	
	QPushButton*	m_pbClear;
	QPushButton*	m_pbDel;	
	QPushButton*	m_pbDownload;

	QOverDlg*		m_pwDownload;
	
	downloadThread	*	m_pThread;
	shareObj		*	m_pObj;
};

#endif // !defined(AFX_QDOWNLOADWIDGET_H__EF4011A2_422F_426E_8257_FB60483C3ECC__INCLUDED_)
