// urlObj.h: urlObj NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_URLOBJ_H__D8B015A2_93B9_4589_9319_3B529932820A__INCLUDED_)
#define AFX_URLOBJ_H__D8B015A2_93B9_4589_9319_3B529932820A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class urlObj  
{
public:
	enum estMode
	{
		Accept,
		Referer,
		AcceptLanguage,
		UserAgent,
		Host,
		ProxyConnection,
		Connection,
		Range,
		Cookie,
		Ip,
		estWork,
		estEnd
	};

	enum enMode
	{
		Port,
		enWork,
		enEnd
	};

	urlObj();
	virtual ~urlObj();
	void  set(estMode mode,const char* stSet);
	const char* ref(estMode mode);

	void  set(enMode  mode,int nSet);
	int   ref(enMode  mode);
	
	const char* string_proxy(const char* stSet);
	const char* string(const char* stSet);
	int   setHostFromURL(const char* pUrl, char** ppNext);

protected:
	char		stName[estEnd][20];
	QCString*	pqcsData[estEnd];
	int			nData[enEnd];
};


class QSocketDevice;
// HTTP̓ǂݍ݂T|[gNX
class httpHelper
{
public:
	const char* ref_Host();
	httpHelper();
	virtual ~httpHelper();
	void  setUserAgent(const char* pstr);
	void  setTimeout(int nTime);
	void  setBinaryMode(int n);
	void  setRetry(int nCount);
	void  setProxy(const char* psProxy, int nPort);
	void  setUser(const char* psUser,const char* psPass);

	int   connectEx(const char* pUrl);

	int   bufferSize();
	int   bufferUseSize();
	int   allDataSize();
	int   readDataSize();
	int   bufferring();
	void  frashBuffer();
	char* refBuffer();

protected:
	char* headerRead(const char* pcSrc);
	int   connect(const char* pUrl);
	int   reconnect();

	urlObj m_url;

	QByteArray* m_pqbaBuffer;
	QByteArray*	m_pqbaHeader;

	char*		m_pLocation;
	char*		m_pContentType;
	QCString* m_pqcsUrl;
	QCString* m_pqcsProxyName;
	QCString* m_pqcsUserName;
	QCString* m_pqcsPassName;

	QSocketDevice* m_pS;

	char m_dummy[2];
	int m_nBinaryMode;
	int m_nState;		// Xe[^X
	int m_nTimeout;		// ^CAEg 
	int m_nAllDataSize;	// f[^TCY
	int m_nReadDataSize;// ǂݍ񂾃TCY
	int m_nBufferSize;
	int m_nBufferUseSize;
	int m_nRetry;
	int m_nProxyPort;
};
#endif // !defined(AFX_URLOBJ_H__D8B015A2_93B9_4589_9319_3B529932820A__INCLUDED_)
